summaryrefslogtreecommitdiff
path: root/tests/tests/tagupl-gbp
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2019-07-25 07:20:42 +0100
committerSean Whitton <spwhitton@spwhitton.name>2019-07-25 07:20:42 +0100
commitc3b21df9639ae811a7b8c436a34d558917526b47 (patch)
tree96b68f3392b1a376bf487c53fafd3d215573ea36 /tests/tests/tagupl-gbp
parent839b666ac93688e2ef24c3fb7b1fbb0a0024bb33 (diff)
parent97d91ead98b8c771271e1b6878b14db030932560 (diff)
Merge tag 'debian/9.5' into buster-bpo
dgit release 9.5 for unstable (sid) [dgit] [dgit distro=debian no-split] # gpg: Signature made Mon 22 Jul 2019 09:40:00 PM BST # gpg: using RSA key 9B917007AE030E36E4FC248B695B7AE4BF066240 # gpg: Good signature from "Sean Whitton <spwhitton@spwhitton.name>" [ultimate] # Primary key fingerprint: 8DC2 487E 51AB DD90 B5C4 753F 0F56 D055 3B6D 411B # Subkey fingerprint: 9B91 7007 AE03 0E36 E4FC 248B 695B 7AE4 BF06 6240
Diffstat (limited to 'tests/tests/tagupl-gbp')
-rwxr-xr-xtests/tests/tagupl-gbp28
1 files changed, 28 insertions, 0 deletions
diff --git a/tests/tests/tagupl-gbp b/tests/tests/tagupl-gbp
new file mode 100755
index 0000000..a4ecb09
--- /dev/null
+++ b/tests/tests/tagupl-gbp
@@ -0,0 +1,28 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-baredebian
+
+t-dependencies git-debpush DEBORIG
+
+t-setup-import gbp
+
+t-debpolicy
+
+cd $p
+
+git deborig
+
+t-dgit -wgf --quilt=gbp --dgit-view-save=split.b quilt-fixup
+
+t-tagupl-settings
+
+tagname=test-dummy/$v
+
+t-tagupl-test --gbp
+
+git branch split.p dgit/dgit/sid # we didn't generate this here
+
+t-gbp-pushed-good sid
+
+t-ok